# Get subnet ACL binding information - DescribeNetworkAclAssociationBySubnet

## Overview

Get subnet ACL binding information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNetworkAclAssociationBySubnet`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **SubnetworkId** | string | Subnet ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Association** | [*AssociationInfo*](#associationinfo) | Binding Information |**Yes**|

#### Data Model


#### AssociationInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AssociationId** | string | Bind ID |**Yes**|
| **AclId** | string | ACL's ID |**Yes**|
| **SubnetworkId** | string | Bound Subnet ID |**Yes**|
| **CreateTime** | int | Created Unix Timestamp |**Yes**|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=DescribeNetworkAclAssociationBySubnet
&Region=cn-bj
&ProjectId=org-xxxxx
&SubnetworkId=subnet-xxxxxx
```

### Response Example
    
```json
{
  "Action": "DescribeNetworkAclAssociationBySubnetResponse",
  "AssociationList": [
    {
      "AclId": "netacl-xxxxxx",
      "AssociationId": "netaclassoc_xxxxxx",
      "CreateTime": 1,
      "SubnetworkId": "subnet-xxxxxx"
    },
    {
      "AclId": "netacl-xxxxxx",
      "AssociationId": "netaclassoc_xxxxxx",
      "CreateTime": 9,
      "SubnetworkId": "subnet-xxxxxx"
    },
    {
      "AclId": "netacl-xxxxxx",
      "AssociationId": "netaclassoc_xxxxxx",
      "CreateTime": 9,
      "SubnetworkId": "subnet-xxxxxx"
    },
    {
      "AclId": "netacl-xxxxxx",
      "AssociationId": "netaclassoc_xxxxxx",
      "CreateTime": 10,
      "SubnetworkId": "subnet-xxxxxx"
    }
  ],
  "RetCode": 0
}
```





